Page MenuHomePhabricator

Add an extract of suppression log for Special:AbuseLog suppression
Closed, ResolvedPublic

Description

Currently, when the page for suppressing an abuselog entry is opened (example), it only shows the form for changing the visibility. However, it should also show an extract from suppression log related to that specific entry, so to see if there have already been visibility changes for the revision without going to Special:Log. Basically, it should be the same as what happens e.g. here with the deletion log (relevant code).

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterShow an extract of suppression log for Special:AbuseLog

Event Timeline

Daimona created this task.Jul 29 2018, 2:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2018, 2:31 PM

Wait, wait... I just realized that I'm not oversighter on beta cluster, but yet can suppress abuselog entries. This makes me wonder: is this intended? It doesn't seem to make much sense. Anyway, it seems like the suppression log extract isn't still shown, could someone with oversight right please confirm it?

Daimona updated the task description. (Show Details)Jul 30 2018, 12:36 PM

Change 454324 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Show an extract of suppression log for Special:AbuseLog

https://gerrit.wikimedia.org/r/454324

Daimona claimed this task.Aug 21 2018, 5:20 PM
Huji closed this task as Resolved.Aug 22 2018, 2:20 AM
Huji removed a project: Patch-For-Review.

Change 454324 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Show an extract of suppression log for Special:AbuseLog

https://gerrit.wikimedia.org/r/454324